BookMembers

Replaces a team member's roles. The request body must be complete (full replacement, see Statsh.Server.Contracts.Book.UpdateBookMemberRequest).

PUT
/public-api/v1/books/{bookId}/members/teams/{teamId}
cURL
curl --request PUT \
  --url '/public-api/v1/books/{bookId}/members/teams/{teamId}' \
  --header 'user-api-key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "SystemRole": "Admin",
  "Roles": [
    "string"
  ]
}'

Authorizations

  • user-api-keystringheader

    User's API Key · apiKey

Path parameters

  • bookIdstringrequired
  • teamIdstringrequired

Body

application/json
  • SystemRolestring
  • Rolesstring[]

    Application roles.

Responses

OK